<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('schclasses', function (Blueprint $table) {
            $table->id();
            $table->string('class');
            $table->tinyInteger('status')->default(1);
            $table->integer('subject_no');
            $table->integer('teacher_id')->refrences('id')->on('staffs')->onDelete('cascade')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('schclasses');
    }
};
